# Incomplete executions

If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.

Read more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions).

## List scenario incomplete executions

> Retrieves the list of incomplete executions of the specified scenario.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs":{"get":{"tags":["Incomplete executions"],"summary":"List scenario incomplete executions","description":"Retrieves the list of incomplete executions of the specified scenario.","parameters":[{"name":"scenarioId","in":"query","schema":{"type":"integer"},"required":true,"description":"The ID value of the scenario. Use the API call `GET /scenarios` to get the ID of the scenario. If your scenario is placed in a folder, use the API call `GET /scenarios-folders?teamId={teamId}` first."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlqs":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"reason":{"type":"string"},"created":{"type":"string","format":"date-time"},"size":{"type":"integer"},"resolved":{"type":"boolean"},"retry":{"type":"boolean"},"attempts":{"type":"integer"}}}}}}}}}}}}}}
```

## Delete scenario incomplete executions

> Deletes incomplete executions of the specified scenario. Specify the incomplete execution ID values in the \`ids\` array in the request body to delete the specified incomplete executions.\
> \
> You can set the \`"all": true\` pair to delete all incomplete executions of the specified scenario. If you use the \`"all": true\` parameter, you have to specify the \`confirmed=true\` query parameter to confirm the deletion. Otherwise, the API call returns the error IM004 (406).\
> \
> Add the \`exceptIds\` array to the request body to specify items you don't want to delete.\
> \
> You get an error if you try to delete incomplete executions which are being processed. The rest of the specified items is still deleted.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs":{"delete":{"tags":["Incomplete executions"],"summary":"Delete scenario incomplete executions","description":"Deletes incomplete executions of the specified scenario. Specify the incomplete execution ID values in the `ids` array in the request body to delete the specified incomplete executions.\n\nYou can set the `\"all\": true` pair to delete all incomplete executions of the specified scenario. If you use the `\"all\": true` parameter, you have to specify the `confirmed=true` query parameter to confirm the deletion. Otherwise, the API call returns the error IM004 (406).\n\nAdd the `exceptIds` array to the request body to specify items you don't want to delete.\n\nYou get an error if you try to delete incomplete executions which are being processed. The rest of the specified items is still deleted.","parameters":[{"name":"scenarioId","in":"query","schema":{"type":"integer"},"required":true,"description":"The ID value of the scenario. Use the API call `GET /scenarios` to get the ID of the scenario. If your scenario is placed in a folder, use the API call `GET /scenarios-folders?teamId={teamId}` first."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to confirm deleting the incomplete executions. Otherwise the API call fails with the error IM004 (406)."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string"},"description":"The ID values of the scenario incomplete executions that you want to delete. Use the API call `GET /dlqs/?scenarioId={scenarioId}` to get the ID values of the webhook processing queue items."},"exceptIds":{"type":"array","items":{"type":"string"},"description":"If you are deleting all of the incomplete executions with the `all:true` parameter, you can specify the ID values of the incomplete executions that you want to keep. Use the API call `GET /dlqs?scenarioId={scenarioId}` to get the ID values of the incomplete executions."},"all":{"type":"boolean","description":"Set to `true` to delete all incomplete executions of the specified scenario."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlqs":{"type":"array","items":{"type":"string"}}}}}}}}}}}}
```

## Incomplete execution detail

> Gets detail of the specified incomplete execution.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}":{"get":{"tags":["Incomplete executions"],"summary":"Incomplete execution detail","description":"Gets detail of the specified incomplete execution.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlq":{"type":"object","properties":{"id":{"type":"string"},"scenarioId":{"type":"integer"},"scenarioName":{"type":"string"},"companyId":{"type":"integer"},"companyName":{"type":"string"},"resolved":{"type":"boolean"},"deleted":{"type":"boolean"},"index":{"type":"integer"},"created":{"type":"string","format":"date-time"},"executionId":{"type":"string"},"retry":{"type":"boolean"},"attempts":{"type":"integer"},"size":{"type":"integer"}}}}}}}}}}}}}
```

## Delete - deprecated

> Required scope: datastores:write

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}":{"delete":{"tags":["Incomplete executions"],"summary":"Delete - deprecated","deprecated":true,"description":"Required scope: datastores:write","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlq":{"type":"string"}}}}}}}}}}}
```

## Update incomplete execution

> Updates the specified incomplete execution.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}":{"patch":{"tags":["Incomplete executions"],"summary":"Update incomplete execution","description":"Updates the specified incomplete execution.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"blueprint":{"type":"string","description":"The blueprint you want to use to resolve the incomplete execution. If you download the blueprint from a Make scenario as a JSON object, you have to escape the blueprint contents to be able to send it as a string."},"failer":{"type":"integer","description":"The module ID which caused the incomplete execution of the scenario."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlq":{"type":"object","properties":{"failer":{"type":"integer"},"blueprint":{"type":"object","properties":{"flow":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"ca":{"type":"string"},"qs":{"type":"array","items":{}},"url":{"type":"string","format":"uri"},"gzip":{"type":"boolean"},"method":{"type":"string"},"headers":{"type":"array","items":{}},"timeout":{"type":"string"},"authPass":{"type":"string"},"authUser":{"type":"string"},"bodyType":{"type":"string"},"shareCookies":{"type":"boolean"},"parseResponse":{"type":"boolean"},"followRedirect":{"type":"boolean"},"useQuerystring":{"type":"boolean"},"rejectUnauthorized":{"type":"boolean"}}},"module":{"type":"string","format":"uri"},"onerror":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"count":{"type":"string","format":"utc-millisec"},"retry":{"type":"boolean"},"interval":{"type":"string","format":"utc-millisec"}}},"module":{"type":"string","format":"uri"},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}},"restore":{"type":"object","properties":{"retry":{"type":"object","properties":{"mode":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}}}},"parameters":{"type":"object"}}}},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object"}},"restore":{"type":"object","properties":{"qs":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"method":{"type":"object","properties":{"mode":{"type":"string"},"label":{"type":"string"}}},"headers":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"bodyType":{"type":"object","properties":{"label":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}},"parameters":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}}}},"parameters":{"type":"object","properties":{"handleErrors":{"type":"boolean"}}}}}},"name":{"type":"string"},"metadata":{"type":"object","properties":{"version":{"type":"integer"},"scenario":{"type":"object","properties":{"maxErrors":{"type":"integer"},"autoCommit":{"type":"boolean"},"roundtrips":{"type":"integer"}}}}}}}}}}}}}}}}}}}
```

## Get failed scenario blueprint

> Gets the blueprint of the scenario that caused the incomplete execution.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}/blueprint":{"get":{"tags":["Incomplete executions"],"summary":"Get failed scenario blueprint","description":"Gets the blueprint of the scenario that caused the incomplete execution.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string"},"response":{"type":"object","properties":{"blueprint":{"type":"object","properties":{"flow":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"ca":{"type":"string"},"qs":{"type":"array","items":{}},"url":{"type":"string","format":"uri"},"gzip":{"type":"boolean"},"method":{"type":"string"},"headers":{"type":"array","items":{}},"timeout":{"type":"string"},"authPass":{"type":"string"},"authUser":{"type":"string"},"bodyType":{"type":"string"},"shareCookies":{"type":"boolean"},"parseResponse":{"type":"boolean"},"followRedirect":{"type":"boolean"},"useQuerystring":{"type":"boolean"},"rejectUnauthorized":{"type":"boolean"}}},"module":{"type":"string","format":"uri"},"onerror":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"count":{"type":"string","format":"utc-millisec"},"retry":{"type":"boolean"},"interval":{"type":"string","format":"utc-millisec"}}},"module":{"type":"string","format":"uri"},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}},"restore":{"type":"object","properties":{"retry":{"type":"object","properties":{"mode":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}}}},"parameters":{"type":"object"}}}},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object"}},"restore":{"type":"object","properties":{"qs":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"method":{"type":"object","properties":{"mode":{"type":"string"},"label":{"type":"string"}}},"headers":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"bodyType":{"type":"object","properties":{"label":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}},"parameters":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}}}},"parameters":{"type":"object","properties":{"handleErrors":{"type":"boolean"}}}}}},"name":{"type":"string"},"metadata":{"type":"object","properties":{"version":{"type":"integer"},"scenario":{"type":"object","properties":{"maxErrors":{"type":"integer"},"autoCommit":{"type":"boolean"},"roundtrips":{"type":"integer"}}}}}}},"company":{"type":"integer"},"idSequence":{"type":"integer"},"reason":{"type":"string"}}}}}}}}}}}}}
```

## Get incomplete execution bundles

> Gets bundles that caused the incomplete execution.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}/bundle":{"get":{"tags":["Incomplete executions"],"summary":"Get incomplete execution bundles","description":"Gets bundles that caused the incomplete execution.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string"},"response":{"type":"object"}}}}}}}}}}}
```

## List incomplete executions logs

> Gets data about attempts to resolve an incomplete execution.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}/logs":{"get":{"tags":["Incomplete executions"],"summary":"List incomplete executions logs","description":"Gets data about attempts to resolve an incomplete execution.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."},{"name":"status","in":"query","schema":{"type":"integer","enum":[1,2,3]},"description":"The status number of the incomplete execution. The status numbers correspond to the following statuses:\n\n- 1: success,\n - 2: warning,\n - 3: error."},{"name":"from","in":"query","schema":{"type":"integer","format":"timestamp"},"description":"The moment from which you want to list the incomplete execution logs. The timestamp is in the [UNIX timestamp](https://en.wikipedia.org/wiki/Unix_time) format."},{"name":"to","in":"query","schema":{"type":"integer","format":"timestamp"},"description":"Limits the returned incomplete execution logs to those that were created before the specified moment. The timestamp is in the [UNIX timestamp](https://en.wikipedia.org/wiki/Unix_time) format."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlqLogs":{"type":"array","items":{"type":"object","properties":{"imtId":{"type":"string"},"duration":{"type":"integer"},"transfer":{"type":"integer"},"operations":{"type":"integer"},"centicredits":{"type":"bigint"},"teamId":{"type":"integer"},"id":{"type":"string"},"type":{"type":"string"},"authorId":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer"},"instant":{"type":"boolean"},"organizationId":{"type":"integer"}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Incomplete execution log detail

> Gets detail of the specified incomplete execution log.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}/logs/{executionDlqId}":{"get":{"tags":["Incomplete executions"],"summary":"Incomplete execution log detail","description":"Gets detail of the specified incomplete execution log.","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."},{"name":"executionDlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution log. Get the ID values of the incomplete execution logs with the API call `GET /dlqs/{dlqId}/logs`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlqLog":{"type":"object","properties":{"imtId":{"type":"string"},"duration":{"type":"integer"},"transfer":{"type":"integer"},"operations":{"type":"integer"},"centicredits":{"type":"bigint"},"teamId":{"type":"integer"},"id":{"type":"string"},"type":{"type":"string"},"authorId":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer"},"instant":{"type":"boolean"},"organizationId":{"type":"integer"}}}}}}}}}}}}}
```

## Retry incomplete execution

> Triggers a retry of the specified incomplete execution. The incomplete execution runs with the blueprint from when the error happened.\
> \
> If you need to update the blueprint first, use the endpoint \`PATCH /dlqs/{dlqId}\`.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/{dlqId}/retry":{"post":{"tags":["Incomplete executions"],"summary":"Retry incomplete execution","description":"Triggers a retry of the specified incomplete execution. The incomplete execution runs with the blueprint from when the error happened.\n\nIf you need to update the blueprint first, use the endpoint `PATCH /dlqs/{dlqId}`.\n","parameters":[{"name":"dlqId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the incomplete execution. Get the ID values of the incomplete executions of a scenario with the API call `GET /dlqs?scenarioId={scenarioId}`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlq":{"type":"string"}}}}}}}}}}}
```

## Retry multiple incomplete executions

> Triggers a retry of the specified incomplete executions. You can either use the \`all\` parameter to retry all incomplete executions of the scenario, or specify a list of incomplete execution IDs in the \`ids\` property.\
> \
> You can use the \`exceptIds\` parameter to exclude incomplete executions from retrying.\
> \
> The incomplete executions run with the blueprint from when the error happened. If you need to update the blueprint first, use the endpoint \`PATCH /dlqs/{dlqId}\`.\
> \
> Make puts the incomplete executions in a queue. If you are retrying a large number of incomplete executions, there might be a delay between receiving the response and Make retrying the incomplete execution.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Incomplete executions","description":"If a scenario terminates unexpectedly because of an error, then the scenario run is discarded. You can set the scenario to store the failed scenario run as an incomplete execution. With that, if an error occurs in your scenario, you can resolve it manually and avoid losing data.\n\nRead more about the [incomplete executions](https://www.make.com/en/help/scenarios/incomplete-executions)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["dlqs:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/dlqs/retry":{"post":{"tags":["Incomplete executions"],"summary":"Retry multiple incomplete executions","description":"Triggers a retry of the specified incomplete executions. You can either use the `all` parameter to retry all incomplete executions of the scenario, or specify a list of incomplete execution IDs in the `ids` property.\n\nYou can use the `exceptIds` parameter to exclude incomplete executions from retrying.\n\nThe incomplete executions run with the blueprint from when the error happened. If you need to update the blueprint first, use the endpoint `PATCH /dlqs/{dlqId}`.\n\nMake puts the incomplete executions in a queue. If you are retrying a large number of incomplete executions, there might be a delay between receiving the response and Make retrying the incomplete execution.\n","parameters":[{"name":"scenarioId","in":"query","schema":{"type":"integer"},"required":true,"description":"The ID of the scenario. You can get the `scenarioId` with the [List scenarios](/scenarios-get) API call."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string"},"description":"The list of incomplete execution IDs you want to retry. All of the IDs have to belong to the same scenario."},"all":{"type":"boolean","description":"Set to `true` to retry all incomplete executions of the scenario."},"exceptIds":{"type":"array","items":{"type":"string"},"description":"You can use this parameter together with the `all` parameter to specify incomplete execution IDs which shouldn't be retried."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"dlqs":{"type":"array","items":{"type":"string"}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/incomplete-executions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
